// pages/components/AreaSelect/AreaSelect.js
Component({
  properties: {
    placeholder: {
      type: String,
      value: '请选择',
    },
    range: {
      type: Array,
      value: [],
      observer(newVal) {
        this.setData({ filterList: newVal });
      },
    },
    rangeKey: {
      type: String,
      value: 'key',
    },
    value: {
      type: String,
      value: '',
      observer(newVal) {
        this.setData({ selected: newVal });
      },
    },
  },
  data: {
    showPickerView: false,
    selected: '',
    selectedIndex: '',
    filterList: [],
  },
  methods: {
    inputClickHandle() {
      this.setData!({
        showPickerView: !this.data.showPickerView,
      });
    },
    innerClickHandle(e) {
      return false;
    },
    maskClickHandle(e) {
      this.setData({
        showPickerView: false,
      });
      return false;
    },
    inputHandle(e) {
      const { value } = e.detail;
      console.log(e, value);
      let filterList = [];
      if (value) {
        filterList = this.data.range.filter(item =>
          item[this.data.rangeKey].includes(value),
        );
      } else {
        filterList = this.data.range;
      }

      this.setData({
        filterList,
      });
    },
    bindPickerChange() {
      let value = this.data.selected;
      this.setData!({
        showPickerView: false,
      });
      this.triggerEvent('change', { value }, {});
    },
    selectedHandle(e) {
      const { value } = e.currentTarget.dataset;
      console.log(e, value);
      if (this.data.selectedIndex === value) {
        this.setData({
          selected: '',
          selectedIndex: '',
        });
      } else {
        this.setData({
          selected: this.data.range[value].id,
          selectedIndex: value,
        });
      }
    },
  },
});
