import { statisticsFetch, baseFetch } from '../../api/fetch';

// miniprogram/pages/feedback/feedback.js
Page({
  onLoad() {
    this.initData();
    this.fetchAreaList();
  },
  /**
   * 页面的初始数据
   */
  data: {
    tabIndex: 1,
    areaId: '',
    list1: [],
    list2: [],
    areaList: [],
  },
  initData() {
    this.fetchList(1);
    this.fetchList(2);
  },
  toggleList(e) {
    const { tabindex } = e.currentTarget.dataset;
    if (tabindex !== this.data.tabIndex) {
      this.setData!({
        tabIndex: tabindex,
      });
      this.fetchList(tabindex);
    }
  },
  fetchList(state?: number) {
    if (!state) state = this.data.tabIndex;
    wx.showLoading({ title: '' });
    statisticsFetch({
      url: '/dcxy/reportInfo/queryFeedbackListV2',
      data: this.data.areaId
        ? {
            state,
            areaId: this.data.areaId,
          }
        : { state },
    })
      .then(res => {
        wx.hideLoading();
        const list = res.data;
        this.setData!({
          ['list' + state]: list,
        });
      })
      .catch(err => {
        console.log(err);
        wx.showToast({
          title: err.errMsg,
          icon: 'none',
        });
      });
  },
  bindPickerChange(e) {
    console.log(e);
    const { value } = e.detail;
    this.setData!(
      {
        areaId: value,
      },
      () => {
        this.initData();
      },
    );
  },
  refreshHandle(e) {
    this.fetchList();
  },
  fetchAreaList() {
    baseFetch({
      url: '/dcxy/baseArea/queryAll',
    })
      .then(res => {
        if (res.data) {
          this.setData!({
            areaList: res.data,
          });
        } else {
          this.setData!({
            areaList: [],
          });
        }
      })
      .catch(err => {
        console.log(err);
      });
  },
});
